> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# USD Transfer

> Transfer Funds to a USD bank account



## OpenAPI

````yaml POST /payments/usd/direct
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /payments/usd/direct:
    post:
      tags:
        - Payments
      summary: USD Transfer
      description: Transfer Funds to a USD bank account
      operationId: usdTransfer
      requestBody:
        description: USD Transfer payload
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/USTransferReq'
      responses:
        '200':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/USTransferResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    USTransferReq:
      type: object
      required:
        - account_id
        - account_number
        - account_type
        - amount
        - routing_number
        - transfer_type
        - reference
        - receipient_name
        - recipient_email
      properties:
        account_id:
          type: string
          description: >-
            Unique Identifier of the US account from which funds will be
            transferred from (Pass merchant's US account ID if hold_balance is
            false for Create US Bank Account).
        account_number:
          type: string
          description: Bank account number of the recipient.
        account_type:
          type: string
          enum:
            - CHECKING
            - SAVINGS
            - BUSINESS
          description: Type of the bank account.
        amount:
          type: number
        description:
          type: string
        reference:
          type: string
          description: >-
            Unique reference provided by the merchant for idempotency and
            tracking.
        recipient_email:
          type: string
        recipient_name:
          type: string
        routing_number:
          type: string
          description: Routing number of the recipient's bank.
        transfer_type:
          type: string
          enum:
            - ACH
            - WIRE
          description: Type of transfer to be made.
    USTransferResp:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/USTransferData'
        message:
          type: string
        success:
          type: boolean
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false
    USTransferData:
      type: object
      properties:
        account_number:
          type: string
        account_type:
          type: string
          enum:
            - CHECKING
            - SAVINGS
            - BUSINESS
          description: Type of the bank account.
        amount:
          type: number
        description:
          type: string
        reference:
          type: string
        recipient_email:
          type: string
        recipient_name:
          type: string
        routing_number:
          type: string
        transaction_date:
          type: string
          example: '2023-10-01T12:34:56Z'
        transaction_id:
          type: string
          example: txn_12345
        transaction_status:
          type: string
          enum:
            - processing
            - successful
            - failed
          description: Status of the transaction
        transfer_type:
          type: string
          enum:
            - ACH
            - WIRE
          description: Type of transfer to be made.

````